FEATURES = {
    'f_01_past_tense': [
        '\\S*_vbd'
    ],
    'f_03_present_tense': [
        '\\S*_vbz',
        '\\S*_vbp'
    ],
    'f_04_place_adverbials': [
        '\\baboard_r\\S*',
        '\\babove_r\\S*',
        '\\babroad_r\\S*',
        '\\bacross_r\\S*',
        '\\bahead_r\\S*',
        '\\balongside_r\\S*',
        '\\baround_r\\S*',
        '\\bashore_r\\S*',
        '\\bastern_r\\S*',
        '\\baway_r\\S*',
        '\\bbehind_r\\S*',
        '\\bbelow_r\\S*',
        '\\bbeneath_r\\S*',
        '\\bbeside_r\\S*',
        '\\bdownhill_r\\S*',
        '\\bdownstairs_r\\S*',
        '\\bdownstream_r\\S*',
        '\\beast_r\\S*',
        '\\bfar_r\\S*',
        '\\bhereabouts_r\\S*',
        '\\bindoors_r\\S*',
        '\\binland_r\\S*',
        '\\binshore_r\\S*',
        '\\binside_r\\S*',
        '\\blocally_r\\S*',
        '\\bnear_r\\S*',
        '\\bnearby_r\\S*',
        '\\bnorth_r\\S*',
        '\\bnowhere_r\\S*',
        '\\boutdoors_r\\S*',
        '\\boutside_r\\S*',
        '\\boverboard_r\\S*',
        '\\boverland_r\\S*',
        '\\boverseas_r\\S*',
        '\\bsouth_r\\S*',
        '\\bunderfoot_r\\S*',
        '\\bunderground_r\\S*',
        '\\bunderneath_r\\S*',
        '\\buphill_r\\S*',
        '\\bupstairs_r\\S*',
        '\\bupstream_r\\S*',
        '\\bwest_r\\S*',
        '\\baboard_i\\S*',
        '\\babove_i\\S*',
        '\\babroad_i\\S*',
        '\\bacross_i\\S*',
        '\\balongside_i\\S*',
        '\\baround_i\\S*',
        '\\bbehind_i\\S*',
        '\\bbelow_i\\S*',
        '\\bbeneath_i\\S*',
        '\\bbeside_i\\S*',
        '\\binside_i\\S*',
        '\\bnear_i\\S*',
        '\\bnearby_i\\S*',
        '\\boutside_i\\S*',
        '\\bunderneath_i\\S*'
    ],
    'f_05_time_adverbials': [
        '\\bagain_r\\S*',
        '\\bearlier_r\\S*',
        '\\bearly_r\\S*',
        '\\beventually_r\\S*',
        '\\bformerly_r\\S*',
        '\\bimmediately_r\\S*',
        '\\binitially_r\\S*',
        '\\binstantly_r\\S*',
        '\\blate_r\\S*',
        '\\blately_r\\S*',
        '\\blater_r\\S*',
        '\\bmomentarily_r\\S*',
        '\\bnow_r\\S*',
        '\\bnowadays_r\\S*',
        '\\bonce_r\\S*',
        '\\boriginally_r\\S*',
        '\\bpresently_r\\S*',
        '\\bpreviously_r\\S*',
        '\\brecently_r\\S*',
        '\\bshortly_r\\S*',
        '\\bsimultaneously_r\\S*',
        '\\bsubsequently_r\\S*',
        '\\btoday_r\\S*',
        '\\bto-day_r\\S*',
        '\\btomorrow_r\\S*',
        '\\bto-morrow_r\\S*',
        '\\btonight_r\\S*',
        '\\bto-night_r\\S*',
        '\\byesterday_r\\S*'
    ],
    'f_06_first_person_pronouns': [
        '\\bi_prp\\S*',
        '\\bme_prp\\S*',
        '\\bus_prp\\S*',
        '\\bmy_prp\\S*',
        '\\bwe_prp\\S*',
        '\\bour_prp\\S*',
        '\\bmyself_prp\\S*',
        '\\bourselves_prp\\S*'
    ],
    'f_07_second_person_pronouns': [
        '\\byou_prp\\S*',
        '\\byour_prp\\S*',
        '\\byourself_prp\\S*',
        '\\byourselves_prp\\S*',
        '\\bthy_prp\\S*',
        '\\bthee_prp\\S*',
        '\\bthyself_prp\\S*',
        '\\bthou_prp\\S*'
    ],
    'f_08_third_person_pronouns': [
        '\\bshe_prp\\S*',
        '\\bhe_prp\\S*',
        '\\bthey_prp\\S*',
        '\\bher_prp\\S*',
        '\\bhim_prp\\S*',
        '\\bthem_prp\\S*',
        '\\bhis_prp\\S*',
        '\\btheir_prp\\S*',
        '\\bhimself_prp\\S*',
        '\\bherself_prp\\S*',
        '\\bthemselves_prp\\S*'
    ],
    'f_09_pronoun_it': [
        '\\bit_prp\\S*',
        '\\bits_prp\\S*',
        '\\bitself_prp\\S*'
    ],
    'f_11_indefinite_pronouns': [
        '\\banybody_\\S*',
        '\\banyone_\\S*',
        '\\banything_\\S*',
        '\\beverybody_\\S*',
        '\\beveryone_\\S*',
        '\\beverything_\\S*',
        '\\bnobody_\\S*',
        '\\bnone_\\S*',
        '\\bnothing_\\S*',
        '\\bnowhere_\\S*',
        '\\bsomebody_\\S*',
        '\\bsomeone_\\S*',
        '\\bsomething_\\S*'
    ],
    'f_20_existential_there': [
        '\\bthere_ex'
    ],
    'f_24_infinitives': [
        '\\bto_to'
    ],
    'f_33_pied_piping': [
        '\\S*_in who_w\\S*',
        '\\S*_in whom_w\\S*',
        '\\S*_in whose_w\\S*',
        '\\S*_in which_w\\S*'
    ],
    'f_36_though': [
        '\\bthough_in',
        '\\balthough_in',
        '\\btho_in'
    ],
    'f_37_if': [
        '\\bif_in',
        '\\bunless_in'
    ],
    'f_42_adverbs': [
        '\\S*_rb\\S*',
        '\\S*_wrb'
    ],
    'f_45_conjuncts': [
        '\\balternatively_\\S*',
        '\\bconsequently_\\S*',
        '\\bconversely_\\S*',
        '\\be.g._\\S*',
        '\\bfurthermore_\\S*',
        '\\bhence_\\S*',
        '\\bhowever_\\S*',
        '\\bi.e._\\S*',
        '\\binstead_\\S*',
        '\\blikewise_\\S*',
        '\\bmoreover_\\S*',
        '\\bnamely_\\S*',
        '\\bnevertheless_\\S*',
        '\\bnonetheless_\\S*',
        '\\bnotwithstanding_\\S*',
        '\\botherwise_\\S*',
        '\\bsimilarly_\\S*',
        '\\btherefore_\\S*',
        '\\bthus_\\S*',
        '\\bviz._\\S*',
        '\\bin_\\S* comparison_\\S*',
        '\\bin_\\S* contrast_\\S*',
        '\\bin_\\S* particular_\\S*',
        '\\bin_\\S* addition_\\S*',
        '\\bin_\\S* conclusion_\\S*',
        '\\bin_\\S* consequence_\\S*',
        '\\bin_\\S* sum_\\S*',
        '\\bin_\\S* summary_\\S*',
        '\\bfor_\\S* example_\\S*',
        '\\bfor_\\S* instance_\\S*',
        '\\binstead_\\S* of_\\S*',
        '\\bby_\\S* contrast_\\S*',
        '\\bby_\\S* comparison_\\S*',
        '\\bin_\\S* any_\\S* event_\\S*',
        '\\bin_\\S* any_\\S* case_\\S*',
        '\\bin_\\S* other_\\S* words_\\S*',
        '\\bas_\\S* a_\\S* result_\\S*',
        '\\bas_\\S* a_\\S* consequence_\\S*',
        '\\bon_\\S* the_\\S* contrary_\\S*',
        '\\bon_\\S* the_\\S* other_\\S* hand_\\S*',
        '_punct_ else_\\S*',
        '_punct_ altogether_\\S*',
        '_punct_ rather_\\S*'
    ],
    'f_46_downtoners': [
        '\\balmost_\\S*',
        '\\bbarely_\\S*',
        '\\bhardly_\\S*',
        '\\bmerely_\\S*',
        '\\bmildly_\\S*',
        '\\bnearly_\\S*',
        '\\bonly_\\S*',
        '\\bpartially_\\S*',
        '\\bpartly_\\S*',
        '\\bpractically_\\S*',
        '\\bscarcely_\\S*',
        '\\bslightly_\\S*',
        '\\bsomewhat_\\S*'
    ],
    'f_47_hedges': [
        '\\bmaybe_\\S*',
        '\\bat_\\S* about_\\S*',
        '\\bsomething_\\S* like_\\S*',
        '\\bmore_\\S* or_\\S* less_\\S*',
        '\\bsort_\\S* of_\\S*',
        '\\bkind_\\S* of_\\S*'
    ],
    'f_48_amplifiers': [
        '\\babsolutely_\\S*',
        '\\baltogether_\\S*',
        '\\bcompletely_\\S*',
        '\\bdefinitely_\\S*',
        '\\bdrastically_\\S*',
        '\\benormously_\\S*',
        '\\bentirely_\\S*',
        '\\bextremely_\\S*',
        '\\bfully_\\S*',
        '\\bgreatly_\\S*',
        '\\bhighly_\\S*',
        '\\bintensely_\\S*',
        '\\bperfectly_\\S*',
        '\\bstrongly_\\S*',
        '\\bthoroughly_\\S*',
        '\\btotally_\\S*',
        '\\butterly_\\S*',
        '\\bvery_\\S*'
    ],
    'f_49_emphatics': [
        '\\bjust_\\S*',
        '\\breally_\\S*',
        '\\bmost_\\S*',
        '\\bmore_\\S*',
        '\\ba_\\S* lot_\\S*',
        '\\bfor_\\S* sure_\\S*',
        '\\bsuch_\\S* a_\\S*',
        '\\breal_ \\S*_\\S*jj',
        '\\bso_\\S* \\S*_jj',
        '\\bdo_vb\\S* \\S*_v\\S*',
        '\\bdoes_vb\\S* \\S*_v\\S*',
        '\\bdoing_vb\\S* \\S*_v\\S*',
        '\\bdid_vb\\S* \\S*_v\\S*'
    ],
    'f_50_discourse_particles': [
        '_punct_ well_\\S*',
        '_punct_ now_\\S*',
        '_punct_ anyhow_\\S*',
        '_punct_ anyways_\\S*'
    ],
    'f_52_modal_possibility': [
        '\\bcan_md',
        '\\bca_md',
        '\\bmay_md',
        '\\bmight_md',
        '\\bcould_md'
    ],
    'f_53_modal_necessity': [
        '\\bought_md',
        '\\bshould_md',
        '\\bmust_md'
    ],
    'f_54_modal_predictive': [
        '\\bwill_md',
        '\\bwould_md',
        '\\bshall_md',
        "'d_md",
        "'ll_md",
        '\\bwo_md',
        '\\bsha_md'
    ],
    'f_55_verb_public': [
        '\\backnowledge_v\\S*',
        '\\backnowledged_v\\S*',
        '\\backnowledges_v\\S*',
        '\\backnowledging_v\\S*',
        '\\badd_v\\S*',
        '\\badds_v\\S*',
        '\\badding_v\\S*',
        '\\badded_v\\S*',
        '\\badmit_v\\S*',
        '\\badmits_v\\S*',
        '\\badmitting_v\\S*',
        '\\badmitted_v\\S*',
        '\\baffirm_v\\S*',
        '\\baffirms_v\\S*',
        '\\baffirming_v\\S*',
        '\\baffirmed_v\\S*',
        '\\bagree_v\\S*',
        '\\bagrees_v\\S*',
        '\\bagreeing_v\\S*',
        '\\bagreed_v\\S*',
        '\\ballege_v\\S*',
        '\\balleges_v\\S*',
        '\\balleging_v\\S*',
        '\\balleged_v\\S*',
        '\\bannounce_v\\S*',
        '\\bannounces_v\\S*',
        '\\bannouncing_v\\S*',
        '\\bannounced_v\\S*',
        '\\bargue_v\\S*',
        '\\bargues_v\\S*',
        '\\barguing_v\\S*',
        '\\bargued_v\\S*',
        '\\bassert_v\\S*',
        '\\basserts_v\\S*',
        '\\basserting_v\\S*',
        '\\basserted_v\\S*',
        '\\bbet_v\\S*',
        '\\bbets_v\\S*',
        '\\bbetting_v\\S*',
        '\\bboast_v\\S*',
        '\\bboasts_v\\S*',
        '\\bboasting_v\\S*',
        '\\bboasted_v\\S*',
        '\\bcertify_v\\S*',
        '\\bcertifies_v\\S*',
        '\\bcertifying_v\\S*',
        '\\bcertified_v\\S*',
        '\\bclaim_v\\S*',
        '\\bclaims_v\\S*',
        '\\bclaiming_v\\S*',
        '\\bclaimed_v\\S*',
        '\\bcomment_v\\S*',
        '\\bcomments_v\\S*',
        '\\bcommenting_v\\S*',
        '\\bcommented_v\\S*',
        '\\bcomplain_v\\S*',
        '\\bcomplains_v\\S*',
        '\\bcomplaining_v\\S*',
        '\\bcomplained_v\\S*',
        '\\bconcede_v\\S*',
        '\\bconcedes_v\\S*',
        '\\bconceding_v\\S*',
        '\\bconceded_v\\S*',
        '\\bconfess_v\\S*',
        '\\bconfesses_v\\S*',
        '\\bconfessing_v\\S*',
        '\\bconfessed_v\\S*',
        '\\bconfide_v\\S*',
        '\\bconfides_v\\S*',
        '\\bconfiding_v\\S*',
        '\\bconfided_v\\S*',
        '\\bconfirm_v\\S*',
        '\\bconfirms_v\\S*',
        '\\bconfirming_v\\S*',
        '\\bconfirmed_v\\S*',
        '\\bcontend_v\\S*',
        '\\bcontends_v\\S*',
        '\\bcontending_v\\S*',
        '\\bcontended_v\\S*',
        '\\bconvey_v\\S*',
        '\\bconveys_v\\S*',
        '\\bconveying_v\\S*',
        '\\bconveyed_v\\S*',
        '\\bdeclare_v\\S*',
        '\\bdeclares_v\\S*',
        '\\bdeclaring_v\\S*',
        '\\bdeclared_v\\S*',
        '\\bdeny_v\\S*',
        '\\bdenies_v\\S*',
        '\\bdenying_v\\S*',
        '\\bdenied_v\\S*',
        '\\bdisclose_v\\S*',
        '\\bdiscloses_v\\S*',
        '\\bdisclosing_v\\S*',
        '\\bdisclosed_v\\S*',
        '\\bexclaim_v\\S*',
        '\\bexclaims_v\\S*',
        '\\bexclaiming_v\\S*',
        '\\bexclaimed_v\\S*',
        '\\bexplain_v\\S*',
        '\\bexplains_v\\S*',
        '\\bexplaining_v\\S*',
        '\\bexplained_v\\S*',
        '\\bforecast_v\\S*',
        '\\bforecasts_v\\S*',
        '\\bforecasting_v\\S*',
        '\\bforecasted_v\\S*',
        '\\bforetell_v\\S*',
        '\\bforetells_v\\S*',
        '\\bforetelling_v\\S*',
        '\\bforetold_v\\S*',
        '\\bguarantee_v\\S*',
        '\\bguarantees_v\\S*',
        '\\bguaranteeing_v\\S*',
        '\\bguaranteed_v\\S*',
        '\\bhint_v\\S*',
        '\\bhints_v\\S*',
        '\\bhinting_v\\S*',
        '\\bhinted_v\\S*',
        '\\binsist_v\\S*',
        '\\binsists_v\\S*',
        '\\binsisting_v\\S*',
        '\\binsisted_v\\S*',
        '\\bmaintain_v\\S*',
        '\\bmaintains_v\\S*',
        '\\bmaintaining_v\\S*',
        '\\bmaintained_v\\S*',
        '\\bmention_v\\S*',
        '\\bmentions_v\\S*',
        '\\bmentioning_v\\S*',
        '\\bmentioned_v\\S*',
        '\\bobject_v\\S*',
        '\\bobjects_v\\S*',
        '\\bobjecting_v\\S*',
        '\\bobjected_v\\S*',
        '\\bpredict_v\\S*',
        '\\bpredicts_v\\S*',
        '\\bpredicting_v\\S*',
        '\\bpredicted_v\\S*',
        '\\bproclaim_v\\S*',
        '\\bproclaims_v\\S*',
        '\\bproclaiming_v\\S*',
        '\\bproclaimed_v\\S*',
        '\\bpromise_v\\S*',
        '\\bpromises_v\\S*',
        '\\bpromising_v\\S*',
        '\\bpromised_v\\S*',
        '\\bpronounce_v\\S*',
        '\\bpronounces_v\\S*',
        '\\bpronouncing_v\\S*',
        '\\bpronounced_v\\S*',
        '\\bprophesy_v\\S*',
        '\\bprophesies_v\\S*',
        '\\bprophesying_v\\S*',
        '\\bprophesied_v\\S*',
        '\\bprotest_v\\S*',
        '\\bprotests_v\\S*',
        '\\bprotesting_v\\S*',
        '\\bprotested_v\\S*',
        '\\bremark_v\\S*',
        '\\bremarks_v\\S*',
        '\\bremarking_v\\S*',
        '\\bremarked_v\\S*',
        '\\brepeat_v\\S*',
        '\\brepeats_v\\S*',
        '\\brepeating_v\\S*',
        '\\brepeated_v\\S*',
        '\\breply_v\\S*',
        '\\breplies_v\\S*',
        '\\breplying_v\\S*',
        '\\breplied_v\\S*',
        '\\breport_v\\S*',
        '\\breports_v\\S*',
        '\\breporting_v\\S*',
        '\\breported_v\\S*',
        '\\bsay_v\\S*',
        '\\bsays_v\\S*',
        '\\bsaying_v\\S*',
        '\\bsaid_v\\S*',
        '\\bstate_v\\S*',
        '\\bstates_v\\S*',
        '\\bstating_v\\S*',
        '\\bstated_v\\S*',
        '\\bsubmit_v\\S*',
        '\\bsubmits_v\\S*',
        '\\bsubmitting_v\\S*',
        '\\bsubmitted_v\\S*',
        '\\bsuggest_v\\S*',
        '\\bsuggests_v\\S*',
        '\\bsuggesting_v\\S*',
        '\\bsuggested_v\\S*',
        '\\bswear_v\\S*',
        '\\bswears_v\\S*',
        '\\bswearing_v\\S*',
        '\\bswore_v\\S*',
        '\\bsworn_v\\S*',
        '\\btestify_v\\S*',
        '\\btestifies_v\\S*',
        '\\btestifying_v\\S*',
        '\\btestified_v\\S*',
        '\\bvow_v\\S*',
        '\\bvows_v\\S*',
        '\\bvowing_v\\S*',
        '\\bvowed_v\\S*',
        '\\bwarn_v\\S*',
        '\\bwarns_v\\S*',
        '\\bwarning_v\\S*',
        '\\bwarned_v\\S*',
        '\\bwrite_v\\S*',
        '\\bwrites_v\\S*',
        '\\bwriting_v\\S*',
        '\\bwrote_v\\S*',
        '\\bwritten_v\\S*'
    ],
    'f_56_verb_private': [
        '\\baccept_v\\S*',
        '\\baccepts_v\\S*',
        '\\baccepting_v\\S*',
        '\\baccepted_v\\S*',
        '\\banticipate_v\\S*',
        '\\banticipates_v\\S*',
        '\\banticipating_v\\S*',
        '\\banticipated_v\\S*',
        '\\bascertain_v\\S*',
        '\\bascertains_v\\S*',
        '\\bascertaining_v\\S*',
        '\\bascertained_v\\S*',
        '\\bassume_v\\S*',
        '\\bassumes_v\\S*',
        '\\bassuming_v\\S*',
        '\\bassumed_v\\S*',
        '\\bbelieve_v\\S*',
        '\\bbelieves_v\\S*',
        '\\bbelieving_v\\S*',
        '\\bbelieved_v\\S*',
        '\\bcalculate_v\\S*',
        '\\bcalculates_v\\S*',
        '\\bcalculating_v\\S*',
        '\\bcalculated_v\\S*',
        '\\bcheck_v\\S*',
        '\\bchecks_v\\S*',
        '\\bchecking_v\\S*',
        '\\bchecked_v\\S*',
        '\\bconclude_v\\S*',
        '\\bconcludes_v\\S*',
        '\\bconcluding_v\\S*',
        '\\bconcluded_v\\S*',
        '\\bconjecture_v\\S*',
        '\\bconjectures_v\\S*',
        '\\bconjecturing_v\\S*',
        '\\bconjectured_v\\S*',
        '\\bconsider_v\\S*',
        '\\bconsiders_v\\S*',
        '\\bconsidering_v\\S*',
        '\\bconsidered_v\\S*',
        '\\bdecide_v\\S*',
        '\\bdecides_v\\S*',
        '\\bdeciding_v\\S*',
        '\\bdecided_v\\S*',
        '\\bdeduce_v\\S*',
        '\\bdeduces_v\\S*',
        '\\bdeducing_v\\S*',
        '\\bdeduced_v\\S*',
        '\\bdeem_v\\S*',
        '\\bdeems_v\\S*',
        '\\bdeeming_v\\S*',
        '\\bdeemed_v\\S*',
        '\\bdemonstrate_v\\S*',
        '\\bdemonstrates_v\\S*',
        '\\bdemonstrating_v\\S*',
        '\\bdemonstrated_v\\S*',
        '\\bdetermine_v\\S*',
        '\\bdetermines_v\\S*',
        '\\bdetermining_v\\S*',
        '\\bdetermined_v\\S*',
        '\\bdiscern_v\\S*',
        '\\bdiscerns_v\\S*',
        '\\bdiscerning_v\\S*',
        '\\bdiscerned_v\\S*',
        '\\bdiscover_v\\S*',
        '\\bdiscovers_v\\S*',
        '\\bdiscovering_v\\S*',
        '\\bdiscovered_v\\S*',
        '\\bdoubt_v\\S*',
        '\\bdoubts_v\\S*',
        '\\bdoubting_v\\S*',
        '\\bdoubted_v\\S*',
        '\\bdream_v\\S*',
        '\\bdreams_v\\S*',
        '\\bdreaming_v\\S*',
        '\\bdreamt_v\\S*',
        '\\bdreamed_v\\S*',
        '\\bensure_v\\S*',
        '\\bensures_v\\S*',
        '\\bensuring_v\\S*',
        '\\bensured_v\\S*',
        '\\bestablish_v\\S*',
        '\\bestablishes_v\\S*',
        '\\bestablishing_v\\S*',
        '\\bestablished_v\\S*',
        '\\bestimate_v\\S*',
        '\\bestimates_v\\S*',
        '\\bestimating_v\\S*',
        '\\bestimated_v\\S*',
        '\\bexpect_v\\S*',
        '\\bexpects_v\\S*',
        '\\bexpecting_v\\S*',
        '\\bexpected_v\\S*',
        '\\bfancy_v\\S*',
        '\\bfancies_v\\S*',
        '\\bfancying_v\\S*',
        '\\bfancied_v\\S*',
        '\\bfear_v\\S*',
        '\\bfears_v\\S*',
        '\\bfearing_v\\S*',
        '\\bfeared_v\\S*',
        '\\bfeel_v\\S*',
        '\\bfeels_v\\S*',
        '\\bfeeling_v\\S*',
        '\\bfelt_v\\S*',
        '\\bfind_v\\S*',
        '\\bfinds_v\\S*',
        '\\bfinding_v\\S*',
        '\\bfound_v\\S*',
        '\\bforesee_v\\S*',
        '\\bforesees_v\\S*',
        '\\bforeseeing_v\\S*',
        '\\bforesaw_v\\S*',
        '\\bforget_v\\S*',
        '\\bforgets_v\\S*',
        '\\bforgetting_v\\S*',
        '\\bforgot_v\\S*',
        '\\bforgotten_v\\S*',
        '\\bgather_v\\S*',
        '\\bgathers_v\\S*',
        '\\bgathering_v\\S*',
        '\\bgathered_v\\S*',
        '\\bguess_v\\S*',
        '\\bguesses_v\\S*',
        '\\bguessing_v\\S*',
        '\\bguessed_v\\S*',
        '\\bhear_v\\S*',
        '\\bhears_v\\S*',
        '\\bhearing_v\\S*',
        '\\bheard_v\\S*',
        '\\bhold_v\\S*',
        '\\bholds_v\\S*',
        '\\bholding_v\\S*',
        '\\bheld_v\\S*',
        '\\bhope_v\\S*',
        '\\bhopes_v\\S*',
        '\\bhoping_v\\S*',
        '\\bhoped_v\\S*',
        '\\bimagine_v\\S*',
        '\\bimagines_v\\S*',
        '\\bimagining_v\\S*',
        '\\bimagined_v\\S*',
        '\\bimply_v\\S*',
        '\\bimplies_v\\S*',
        '\\bimplying_v\\S*',
        '\\bimplied_v\\S*',
        '\\bindicate_v\\S*',
        '\\bindicates_v\\S*',
        '\\bindicating_v\\S*',
        '\\bindicated_v\\S*',
        '\\binfer_v\\S*',
        '\\binfers_v\\S*',
        '\\binferring_v\\S*',
        '\\binferred_v\\S*',
        '\\binsure_v\\S*',
        '\\binsures_v\\S*',
        '\\binsuring_v\\S*',
        '\\binsured_v\\S*',
        '\\bjudge_v\\S*',
        '\\bjudges_v\\S*',
        '\\bjudging_v\\S*',
        '\\bjudged_v\\S*',
        '\\bknow_v\\S*',
        '\\bknows_v\\S*',
        '\\bknowing_v\\S*',
        '\\bknew_v\\S*',
        '\\bknown_v\\S*',
        '\\blearn_v\\S*',
        '\\blearns_v\\S*',
        '\\blearning_v\\S*',
        '\\blearnt_v\\S*',
        '\\blearned_v\\S*',
        '\\bmean_v\\S*',
        '\\bmeans_v\\S*',
        '\\bmeaning_v\\S*',
        '\\bmeant_v\\S*',
        '\\bnote_v\\S*',
        '\\bnotes_v\\S*',
        '\\bnoting_v\\S*',
        '\\bnoted_v\\S*',
        '\\bnotice_v\\S*',
        '\\bnotices_v\\S*',
        '\\bnoticing_v\\S*',
        '\\bnoticed_v\\S*',
        '\\bobserve_v\\S*',
        '\\bobserves_v\\S*',
        '\\bobserving_v\\S*',
        '\\bobserved_v\\S*',
        '\\bperceive_v\\S*',
        '\\bperceives_v\\S*',
        '\\bperceiving_v\\S*',
        '\\bperceived_v\\S*',
        '\\bpresume_v\\S*',
        '\\bpresumes_v\\S*',
        '\\bpresuming_v\\S*',
        '\\bpresumed_v\\S*',
        '\\bpresuppose_v\\S*',
        '\\bpresupposes_v\\S*',
        '\\bpresupposing_v\\S*',
        '\\bpresupposed_v\\S*',
        '\\bpretend_v\\S*',
        '\\bpretend_v\\S*',
        '\\bpretending_v\\S*',
        '\\bpretended_v\\S*',
        '\\bprove_v\\S*',
        '\\bproves_v\\S*',
        '\\bproving_v\\S*',
        '\\bproved_v\\S*',
        '\\brealize_v\\S*',
        '\\brealise_v\\S*',
        '\\brealising_v\\S*',
        '\\brealizing_v\\S*',
        '\\brealises_v\\S*',
        '\\brealizes_v\\S*',
        '\\brealised_v\\S*',
        '\\brealized_v\\S*',
        '\\breason_v\\S*',
        '\\breasons_v\\S*',
        '\\breasoning_v\\S*',
        '\\breasoned_v\\S*',
        '\\brecall_v\\S*',
        '\\brecalls_v\\S*',
        '\\brecalling_v\\S*',
        '\\brecalled_v\\S*',
        '\\breckon_v\\S*',
        '\\breckons_v\\S*',
        '\\breckoning_v\\S*',
        '\\breckoned_v\\S*',
        '\\brecognize_v\\S*',
        '\\brecognise_v\\S*',
        '\\brecognizes_v\\S*',
        '\\brecognises_v\\S*',
        '\\brecognizing_v\\S*',
        '\\brecognising_v\\S*',
        '\\brecognized_v\\S*',
        '\\brecognised_v\\S*',
        '\\breflect_v\\S*',
        '\\breflects_v\\S*',
        '\\breflecting_v\\S*',
        '\\breflected_v\\S*',
        '\\bremember_v\\S*',
        '\\bremembers_v\\S*',
        '\\bremembering_v\\S*',
        '\\bremembered_v\\S*',
        '\\breveal_v\\S*',
        '\\breveals_v\\S*',
        '\\brevealing_v\\S*',
        '\\brevealed_v\\S*',
        '\\bsee_v\\S*',
        '\\bsees_v\\S*',
        '\\bseeing_v\\S*',
        '\\bsaw_v\\S*',
        '\\bseen_v\\S*',
        '\\bsense_v\\S*',
        '\\bsenses_v\\S*',
        '\\bsensing_v\\S*',
        '\\bsensed_v\\S*',
        '\\bshow_v\\S*',
        '\\bshows_v\\S*',
        '\\bshowing_v\\S*',
        '\\bshowed_v\\S*',
        '\\bshown_v\\S*',
        '\\bsignify_v\\S*',
        '\\bsignifies_v\\S*',
        '\\bsignifying_v\\S*',
        '\\bsignified_v\\S*',
        '\\bsuppose_v\\S*',
        '\\bsupposes_v\\S*',
        '\\bsupposing_v\\S*',
        '\\bsupposed_v\\S*',
        '\\bsuspect_v\\S*',
        '\\bsuspects_v\\S*',
        '\\bsuspecting_v\\S*',
        '\\bsuspected_v\\S*',
        '\\bthink_v\\S*',
        '\\bthinks_v\\S*',
        '\\bthinking_v\\S*',
        '\\bthought_v\\S*',
        '\\bunderstand_v\\S*',
        '\\bunderstands_v\\S*',
        '\\bunderstanding_v\\S*',
        '\\bunderstood_v\\S*'
    ],
    'f_57_verb_suasive': [
        '\\bagree_v\\S*',
        '\\bagrees_v\\S*',
        '\\bagreeing_v\\S*',
        '\\bagreed_v\\S*',
        '\\ballow_v\\S*',
        '\\ballows_v\\S*',
        '\\ballowing_v\\S*',
        '\\ballowed_v\\S*',
        '\\barrange_v\\S*',
        '\\barranges_v\\S*',
        '\\barranging_v\\S*',
        '\\barranged_v\\S*',
        '\\bask_v\\S*',
        '\\basks_v\\S*',
        '\\basking_v\\S*',
        '\\basked_v\\S*',
        '\\bbeg_v\\S*',
        '\\bbegs_v\\S*',
        '\\bbegging_v\\S*',
        '\\bbegged_v\\S*',
        '\\bcommand_v\\S*',
        '\\bcommands_v\\S*',
        '\\bcommanding_v\\S*',
        '\\bcommanded_v\\S*',
        '\\bconcede_v\\S*',
        '\\bconcedes_v\\S*',
        '\\bconceding_v\\S*',
        '\\bconceded_v\\S*',
        '\\bdecide_v\\S*',
        '\\bdecides_v\\S*',
        '\\bdeciding_v\\S*',
        '\\bdecided_v\\S*',
        '\\bdecree_v\\S*',
        '\\bdecrees_v\\S*',
        '\\bdecreeing_v\\S*',
        '\\bdecreed_v\\S*',
        '\\bdemand_v\\S*',
        '\\bdemands_v\\S*',
        '\\bdemanding_v\\S*',
        '\\bdemanded_v\\S*',
        '\\bdesire_v\\S*',
        '\\bdesires_v\\S*',
        '\\bdesiring_v\\S*',
        '\\bdesired_v\\S*',
        '\\bdetermine_v\\S*',
        '\\bdetermines_v\\S*',
        '\\bdetermining_v\\S*',
        '\\bdetermined_v\\S*',
        '\\benjoin_v\\S*',
        '\\benjoins_v\\S*',
        '\\benjoining_v\\S*',
        '\\benjoined_v\\S*',
        '\\bensure_v\\S*',
        '\\bensures_v\\S*',
        '\\bensuring_v\\S*',
        '\\bensured_v\\S*',
        '\\bentreat_v\\S*',
        '\\bentreats_v\\S*',
        '\\bentreating_v\\S*',
        '\\bentreated_v\\S*',
        '\\bgrant_v\\S*',
        '\\bgrants_v\\S*',
        '\\bgranting_v\\S*',
        '\\bgranted_v\\S*',
        '\\binsist_v\\S*',
        '\\binsists_v\\S*',
        '\\binsisting_v\\S*',
        '\\binsisted_v\\S*',
        '\\binstruct_v\\S*',
        '\\binstructs_v\\S*',
        '\\binstructing_v\\S*',
        '\\binstructed_v\\S*',
        '\\bintend_v\\S*',
        '\\bintends_v\\S*',
        '\\bintending_v\\S*',
        '\\bintended_v\\S*',
        '\\bmove_v\\S*',
        '\\bmoves_v\\S*',
        '\\bmoving_v\\S*',
        '\\bmoved_v\\S*',
        '\\bordain_v\\S*',
        '\\bordains_v\\S*',
        '\\bordaining_v\\S*',
        '\\bordained_v\\S*',
        '\\border_v\\S*',
        '\\borders_v\\S*',
        '\\bordering_v\\S*',
        '\\bordered_v\\S*',
        '\\bpledge_v\\S*',
        '\\bpledges_v\\S*',
        '\\bpledging_v\\S*',
        '\\bpledged_v\\S*',
        '\\bpray_v\\S*',
        '\\bprays_v\\S*',
        '\\bpraying_v\\S*',
        '\\bprayed_v\\S*',
        '\\bprefer_v\\S*',
        '\\bprefers_v\\S*',
        '\\bpreferring_v\\S*',
        '\\bpreferred_v\\S*',
        '\\bpronounce_v\\S*',
        '\\bpronounces_v\\S*',
        '\\bpronouncing_v\\S*',
        '\\bpronounced_v\\S*',
        '\\bpropose_v\\S*',
        '\\bproposes_v\\S*',
        '\\bproposing_v\\S*',
        '\\bproposed_v\\S*',
        '\\brecommend_v\\S*',
        '\\brecommends_v\\S*',
        '\\brecommending_v\\S*',
        '\\brecommended_v\\S*',
        '\\brequest_v\\S*',
        '\\brequests_v\\S*',
        '\\brequesting_v\\S*',
        '\\brequested_v\\S*',
        '\\brequire_v\\S*',
        '\\brequires_v\\S*',
        '\\brequiring_v\\S*',
        '\\brequired_v\\S*',
        '\\bresolve_v\\S*',
        '\\bresolves_v\\S*',
        '\\bresolving_v\\S*',
        '\\bresolved_v\\S*',
        '\\brule_v\\S*',
        '\\brules_v\\S*',
        '\\bruling_v\\S*',
        '\\bruled_v\\S*',
        '\\bstipulate_v\\S*',
        '\\bstipulates_v\\S*',
        '\\bstipulating_v\\S*',
        '\\bstipulated_v\\S*',
        '\\bsuggest_v\\S*',
        '\\bsuggests_v\\S*',
        '\\bsuggesting_v\\S*',
        '\\bsuggested_v\\S*',
        '\\burge_v\\S*',
        '\\burges_v\\S*',
        '\\burging_v\\S*',
        '\\burged_v\\S*',
        '\\bvote_v\\S*',
        '\\bvotes_v\\S*',
        '\\bvoting_v\\S*',
        '\\bvoted_v\\S*'
    ],
    'f_58_verb_seem': [
        '\\bseem_v\\S*',
        '\\bseems_v\\S*',
        '\\bseeming_v\\S*',
        '\\bseemed_v\\S*',
        '\\bappear_v\\S*',
        '\\bappears_v\\S*',
        '\\bappearing_v\\S*',
        '\\bappeared_v\\S*'
    ],
    'f_59_contractions': [
        "'\\S*_v\\S*",
        "'\\S*_md",
        "n't_\\S*"
    ],
    'f_66_neg_synthetic': [
        '\\bno_\\S* \\S*_j',
        '\\bno_\\S* \\S*_n\\S*',
        '\\bneither_\\S*',
        '\\bnor_\\S*'
    ],
    'f_67_neg_analytic': [
        '\\bnot_\\S*',
        "n't_\\S*"]
 }

WORDLISTS = {
    "pronoun_matchlist": [
        "that",
        "this",
        "these",
        "those"
    ],
    "linking_matchlist": [
        "be",
        "seem",
        "appear",
        "become",
        "remain",
        "look",
        "feel",
        "sound",
        "act",
        "get",
        "turn",
        "prove"
        ],
    "verb_matchlist": [
        "accept",
        "acknowledge",
        "add",
        "admit",
        "affirm",
        "agree",
        "allege",
        "allow",
        "announce",
        "anticipate",
        "appear",
        "argue",
        "arrange",
        "ascertain",
        "ask",
        "assert",
        "beg",
        "believe",
        "bet",
        "boast",
        "calculate",
        "certify",
        "check",
        "claim",
        "command",
        "comment",
        "complain",
        "concede",
        "conclude",
        "confess",
        "confide",
        "confirm",
        "conjecture",
        "consider",
        "contend",
        "convey",
        "decide",
        "declare",
        "decree",
        "deduce",
        "deem",
        "demand",
        "demonstrate",
        "deny",
        "desire",
        "determine",
        "discern",
        "disclose",
        "discover",
        "doubt",
        "dream",
        "enjoin",
        "ensure",
        "ensure",
        "entreat",
        "establish",
        "estimate",
        "exclaim",
        "expect",
        "explain",
        "fancy",
        "fear",
        "feel",
        "find",
        "forecast",
        "foresee",
        "foretell",
        "forget",
        "gather",
        "grant",
        "guarantee",
        "guess",
        "hear",
        "hint",
        "hold",
        "hope",
        "imagine",
        "imply",
        "indicate",
        "infer",
        "insist",
        "instruct",
        "insure",
        "intend",
        "judge",
        "know",
        "learn",
        "maintain",
        "mean",
        "mention",
        "move",
        "moved",
        "moves",
        "moving",
        "note",
        "notice",
        "object",
        "observe",
        "ordain",
        "order",
        "perceive",
        "pledge",
        "pray",
        "predict",
        "prefer",
        "presume",
        "presuppose",
        "pretend",
        "proclaim",
        "promise",
        "pronounce",
        "prophesy",
        "propose",
        "protest",
        "prove",
        "realise",
        "realize",
        "reason",
        "recall",
        "reckon",
        "recognise",
        "recognize",
        "recommend",
        "reflect",
        "remark",
        "remember",
        "repeat",
        "reply",
        "report",
        "request",
        "require",
        "resolve",
        "reveal",
        "rule",
        "see",
        "seem",
        "sense",
        "show",
        "signify",
        "state",
        "stipulate",
        "submit",
        "submits",
        "suggest",
        "suggest",
        "suppose",
        "suspect",
        "swear",
        "testify",
        "think",
        "understand",
        "urge",
        "vote",
        "vow",
        "warn",
        "write"
        ],
    "nominalization_stoplist": [
        "apartment",
        "apartments",
        "attention",
        "business",
        "businesses",
        "capacities",
        "capacity",
        "cities",
        "city",
        "comment",
        "comments",
        "condition",
        "conditions",
        "document",
        "documents",
        "edition",
        "editions",
        "element",
        "elements",
        "environment",
        "environments",
        "experiment",
        "experiments",
        "fiction",
        "fictions",
        "function",
        "functions",
        "humanity",
        "identities",
        "identity",
        "mention",
        "mentions",
        "moment",
        "moments",
        "motion",
        "motions",
        "nation",
        "nations",
        "notion",
        "notions",
        "pity",
        "position",
        "positions",
        "qualities",
        "quality",
        "section",
        "sections",
        "solution",
        "solutions",
        "station",
        "stations",
        "tradition",
        "traditions",
        "universities",
        "university",
        "witness",
        "witnesses"
    ],
    "gerund_stoplist": [
        "according",
        "anything",
        "beijing",
        "bing",
        "bings",
        "boeing",
        "bring",
        "ceiling",
        "ceilings",
        "cling",
        "clings",
        "darling",
        "ding",
        "dings",
        "during",
        "evening",
        "evenings",
        "everything",
        "fling",
        "flings",
        "inning",
        "innings",
        "irving",
        "king",
        "kings",
        "morning",
        "mornings",
        "nothing",
        "notwithstanding",
        "offspring",
        "offsprings",
        "outstanding",
        "ping",
        "pings",
        "ring",
        "rings",
        "sing",
        "sings",
        "something",
        "spring",
        "springs",
        "sterling",
        "sting",
        "stings",
        "string",
        "strings",
        "thanksgiving",
        "thanksgivings",
        "thing",
        "things",
        "wedding",
        "wing",
        "wing",
        "wings",
        "wings",
        "wrongdoing",
        "wyoming"
    ]
}
